package com.rjconsultores.ventaboletos.enums;

public enum StatusAutorizacaoRuta {
	EM_ANALISE(0, "EM ANALISE"),
	LIBERADO(1, "LIBERADO"),
	BLOQUEADO(2, "BLOQUEADO");
	
	private Integer status;
	private String descricao;
	
	private StatusAutorizacaoRuta(Integer status, String descricao) {
		this.descricao = descricao;
		this.status = status;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	
	public static String buscarStatus(Integer id) {
		for (StatusAutorizacaoRuta status : StatusAutorizacaoRuta.values()) {
			if (status.getStatus() == id) {
				return status.getDescricao();
			}
		}
		return null;
	}
	
	public static StatusAutorizacaoRuta buscarPorStatus(Integer id) {
		for (StatusAutorizacaoRuta status : StatusAutorizacaoRuta.values()) {
			if (status.getStatus() == id) {
				return status;
			}
		}
		return null;
	}
	
	@Override
	public String toString() {
		return descricao;
	}
}
